package com.ruoyi.oa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 专业领域对象 cmc_resource_field
 * 
 * @author cmc
 * @date 2025-03-21
 */
public class CmcResourceField extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 专业领域id */
    private Integer fieldId;

    /** 专业领域 */
    @Excel(name = "专业领域")
    private String field;

    /** 父id */
    @Excel(name = "父id")
    private Integer parentId;

    public void setFieldId(Integer fieldId)
    {
        this.fieldId = fieldId;
    }

    public Integer getFieldId()
    {
        return fieldId;
    }
    public void setField(String field) 
    {
        this.field = field;
    }

    public String getField() 
    {
        return field;
    }
    public void setParentId(Integer parentId) 
    {
        this.parentId = parentId;
    }

    public Integer getParentId() 
    {
        return parentId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("FieldId", getFieldId())
            .append("field", getField())
            .append("parentId", getParentId())
            .toString();
    }
}
